
// ProjectDlg.h : header file
//

#pragma once


// CProjectDlg dialog
class CProjectDlg : public CDialogEx
{
// Construction
public:
	CProjectDlg(CWnd* pParent = nullptr);	// standard constructor

// Dialog Data
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_PROJECT_DIALOG };
#endif

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;
	int		mConnectionStatus;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnClose();
	afx_msg LRESULT OnReceiveData(WPARAM wParam, LPARAM lParam);
	DECLARE_MESSAGE_MAP()

public:
	CButton m_rdoSerial;
	CButton m_rdoUSB;
	CButton m_rdoTcpIp;
	CStatic m_staticPort;
	CStatic m_staticBaud;
	CStatic m_staticIp;
	CStatic m_staticTcpPort;
	CString m_strPort;
	CComboBox m_cboPort;
	UINT m_BaudRate;
	CComboBox m_cboBaudRate;
	DWORD m_dwIpAddress;
	CIPAddressCtrl m_ctrlIpAddress;
	UINT m_tcpPort;
	CEdit m_editTcpPort;
	CString m_strComStatus;
	CString m_strRcvData;
	CComboBox m_cboMsr;

	afx_msg void OnBnClickedRadioSerial();
	afx_msg void OnBnClickedRadioUsb();
	afx_msg void OnBnClickedRadioTcpip();
	afx_msg void OnBnClickedButtonOpen();
	afx_msg void OnBnClickedButtonClosePort();
	afx_msg void OnBnClickedButtonMsrSet();
	afx_msg void OnBnClickedButtonMsrCancel();
	afx_msg void OnBnClickedButtonText();
	afx_msg void OnBnClickedButtonBarcode1();
	afx_msg void OnBnClickedButtonBarcode2();
	afx_msg void OnBnClickedButtonTtf();
	afx_msg void OnBnClickedButtonPagemode();
	afx_msg void OnBnClickedButtonImage();
	afx_msg void OnBnClickedButtonBoxLine();
	afx_msg void OnBnClickedButtonStatus();
	afx_msg void OnBnClickedButtonInfo();
};
